%%
%% This is file `rsepublic.cls'
%% Royal Society of Edinburgh Class File for Series A Journal
%%
%% Copyright 1999 T&T Productions Ltd
%%
%% Developed by Jonathan Wainwright,
%% based on the Standard `article.cls',
%% and on the local file `rse.cls'
%%
\def\fileversion{v1.00}
\def\filedate{1999/03/24}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{rsepublic}[\filedate\space\fileversion]
\immediate\write16{(Royal Society of Edinburgh Class File for
Authors)}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse \@twocolumnfalse \@twosidetrue \@mparswitchfalse
\DeclareOption{A4}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\ExecuteOptions{A4} \ProcessOptions \RequirePackage{amsmath}
\RequirePackage{amssymb} \RequirePackage{amsthm}
\input{size10.clo}
\setlength\headsep   {4\p@} \setlength\topskip   {10\p@}
\setlength\footskip  {18\p@}
\setlength\oddsidemargin   {24\p@} % to compensate for
\setlength\evensidemargin  {24\p@} % twoside shift
\setlength\marginparwidth  {60\p@} \setlength\hoffset{7mm}
\setlength\voffset{-10mm} \setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@} \setlength\overfullrule{0pt}
\setlength\textwidth{30pc} \normalsize
\setlength\textheight{47\baselineskip}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@} \setlength\parindent{1em} \@lowpenalty
51 \@medpenalty  151 \@highpenalty 301 \setcounter{topnumber}{3}
\renewcommand\topfraction{.99}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.07}
\renewcommand\floatpagefraction{.93}
\def\Paper#1{\gdef\@Paper{#1}}
\gdef\@Paper{Paper}
\newsavebox{\jlheadbox}
\sbox{\jlheadbox}{\scriptsize\itshape
  Proceedings of the Royal Society of Edinburgh: Submitted Paper}
\def\ps@headings{\let\@mkboth\markboth
\def\@oddhead{\phantom{\rm \thepage}\hfil{\it \@shorttitle}\hfil\rm \thepage}
\def\@oddfoot{}
\def\@evenhead{\rm \thepage \hfil \it \@shortauthor \hfil\phantom{\rm \thepage}}
\def\@evenfoot{}
 \def\sectionmark##1{\markboth{##1}{}}
 \def\subsectionmark##1{\markright{##1}}}
\def\ps@myheadings{\let\@mkboth\@gobbletwo
 \def\@oddhead{\it \rightmark \hfill \rm \thepage}
 \def\@oddfoot{}
 \def\@evenhead{\it \leftmark \hfill \rm \thepage}
 \def\@evenfoot{}
 \def\sectionmark##1{}
 \def\subsectionmark##1{}}
\def\ps@titlepage{\let\@mkboth\@gobbletwo
 \def\@oddfoot{\hfill {\small\rm\thepage}\hfill}
 \def\@oddhead{\usebox{\jlheadbox}\hfill\bfseries\@Paper\ \number\day\space\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\year}
 \def\@evenhead{}\let\@evenfoot\@oddfoot
 \def\sectionmark##1{}\def\subsectionmark##1{}}

\gdef\@author{\mbox{}}
\def\author{\@ifnextchar [{\@authortwo}{\@authorone}}%{\@dblarg\@authortwo}
\def\@authortwo[#1]#2{\gdef\@author{#2}\gdef\@shortauthor{#1}}
\def\@authorone#1{\gdef\@author{#1}
 \begingroup\gdef\@shortauthor{#1}\endgroup}
\def\shortauthor#1{\gdef\@shortauthor{#1}}
\gdef\@shortauthor{} \gdef\@title{\mbox{}}
\def\title{\fontsize{14.4}{16.6}\selectfont\@dblarg\@titletwo}
\def\@titletwo[#1]#2{\gdef\@title{#2}\gdef\@shorttitle{#1}}
\def\shorttitle#1{\gdef\@shorttitle{#1}}
\gdef\@shorttitle{}
\def\Year#1{\gdef\@Year{#1}}
\gdef\@Year{Year}
\def\Volume#1{\gdef\@Volume{#1}}
\gdef\@Volume{Volume}
\def\Pagerange#1{\gdef\@Pagerange{#1}}
\def\MSdates{\@dblarg\@MSdatestwo}
\def\@MSdatestwo[#1]#2{\gdef\@accepted{#2}\gdef\@received{#1}}
\def\accepted#1{\gdef\@accepted{#1}}
\gdef\@accepted{}
\def\received#1{\gdef\@received{#1}}
\gdef\@received{}
\newcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \thispagestyle{titlepage}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\date\relax
  \global\let\and\relax
  \normalsize
}
\def\@maketitle{
  \newpage
  \null
  \vskip 2.5pc%
  \let \footnote \thanks
  \begin{flushleft}
    {\bfseries\mathversion{bold}\@title}\par
    \vskip 1pc
    \parindent3.5pc\hangindent3.5pc
    \normalsize\@author \par
    \vskip 1pc%
    {\footnotesize (MS received \@received; \@accepted) \par}
    \vskip .5pc%
  \end{flushleft}
  \par
} \setcounter{secnumdepth}{3}
\let\appendixmark\@gobble
\newcounter {section}
\newcounter {appendix}
\@addtoreset{subsection}{appendix}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\renewcommand\thesection      {\@arabic\c@section}
\renewcommand\theappendix     {\appendixname~\@Alph\c@appendix}
\renewcommand\thesubsection   {\@arabic\c@section.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\@arabic\c@section.\@arabic\c@subsection.\@arabic\c@subsubsection}
\newcommand\section{\setcounter{equation}{0}%
   \renewcommand{\@seccntformat}[1]{%
   \csname thesection\endcsname.\hspace{0.5em}}%
   \@startsection{section}{1}{\z@}{-3.5ex \@plus -1ex \@minus -1ex}%
                                  {1.6ex \@plus.2ex}%
                                  {\raggedright\normalfont\bfseries%
                                   \mathversion{bold}}}
\newcommand\appendix{\setcounter{equation}{0}%
   \setcounter{theorem}{0}%
   \renewcommand\theequation{\@Alph\c@appendix\thinspace\arabic{equation}}%
   \renewcommand\thetheorem{\@Alph\c@appendix.\arabic{theorem}}%
   \renewcommand{\@seccntformat}[1]{%
   \csname theappendix\endcsname.\hspace{0.5em}}%
   \@startsection{appendix}{1}{\z@}{-3.5ex \@plus -1ex \@minus -1ex}%
                                  {1.6ex \@plus.2ex}%
                                  {\raggedright\normalfont\bfseries%
                                   \mathversion{bold}}}
\newcommand\subsection{%
   \renewcommand{\@seccntformat}[1]{%
   \csname thesubsection\endcsname.\hspace{0.5em}}%
   \@startsection{subsection}{2}{\z@}{3ex\@plus 1ex \@minus .5ex}%
                                     {1ex \@plus .2ex}%
                                     {\raggedright\normalfont\bfseries%
                                      \mathversion{bold}}}
\newcommand\subsubsection{%
   \renewcommand{\@seccntformat}[1]{%
   \upshape\csname thesubsubsection\endcsname.\hspace{0.5em}}%
   \@startsection{subsubsection}{3}{\z@}{2.75ex\@plus .5ex \@minus .5ex}%
                                        {1ex \@plus .2ex}%
                                        {\raggedright\normalfont
                                         \normalsize\itshape}}
\setlength\leftmargini  {2.5em} \leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em} \setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em} \setlength\leftmarginv  {1em}
\setlength\leftmarginvi {1em} \setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep} \@beginparpenalty
-\@lowpenalty \@endparpenalty   -\@lowpenalty \@itempenalty
-\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{$\m@th\bullet$}
\newcommand\labelitemii{\normalfont\bfseries --}
\newcommand\labelitemiii{$\m@th\ast$}
\newcommand\labelitemiv{$\m@th\cdot$}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\newenvironment{abstract}
               {\everypar={\footnotesize\raggedright\parindent=4.5pc\hangindent=3.5pc}%
                \noindent\hskip3.5pc\ignorespaces}
               {\par\normalfont\vskip2pc}
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\setlength\arraycolsep{5\p@} \setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@} \setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep} \skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@} \setlength\fboxrule{.4\p@}
\renewcommand\theequation{\thesection.\@arabic\c@equation}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{2\p@ \@plus 3\p@ \@minus 1\p@}
\setlength\belowcaptionskip{\z@ \@plus 3\p@ \@minus 1\p@}
\setlength\textfloatsep{8\p@ \@plus 6\p@ \@minus 4\p@}
\def\flcap@type{}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip\begingroup\small
  \sbox\@tempboxa{{\normalfont\rmfamily #1.} \flcap@type #2}%
  \ifdim \wd\@tempboxa > 2\hsize
    \unhbox\@tempboxa\par
  \else
    \global \@minipagefalse
    \centering \unhbox\@tempboxa\par
  \fi
  \endgroup\vskip\belowcaptionskip}
\long\def\longcaption#1{%
  \sbox\@tempboxa{{\small (#1)}}%
  \ifdim \wd\@tempboxa > \hsize
    {\small (#1)}\par
  \else
    \centerline{\unhbox\@tempboxa}\par
  \fi
  \vskip\belowcaptionskip}
\newcounter{figure}
\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{tp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tp}
\def\ftype@table{1}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\def\flcap@type{\itshape}%
                \@float{table}\small}
               {\end@float}
\def\plaintable{\@float{table}}
\let\endplaintable\end@float
\let\endtable\end@float
\def\normaltabular{\def\hline{\noalign{\ifnum0=`}\fi
 \hrule \@height \arrayrulewidth
 \futurelet \@tempa\@xhline}%
 \let\@halignto\@empty\@normaltabular}
\def\@normaltabular{\leavevmode \hbox \bgroup $\let\@acol\@tabacol
   \let\@classz\@tabclassz
   \let\@classiv\@tabclassiv \let\\\@tabularcr\@normaltabarray}
\def\@normaltabarray{\m@th\@ifnextchar[\@array{\@array[c]}}
\def\endnormaltabular{\crcr\egroup\egroup $\egroup}
\def\tabular{\def\@halignto{to \textwidth}%
\tabskip=\tabcolsep plus 1fil\@tabular}
\def\@tabarray{\@ifnextchar[{\@tarray}{\@ttarray}}
\def\@tarray[#1]#2{\t@barray[#1]{@{\tabskip=2\tabcolsep}% plus 3pt}
                                #2}}
\def\@ttarray#1{\t@barray[c]{#1}}
\def\t@barray[#1]#2{\setbox\@arstrutbox=\hbox{\vrule
     height\arraystretch \ht\strutbox
     depth\arraystretch \dp\strutbox
     width\z@}\@mkpream{#2}\edef\@preamble{\halign \noexpand\@halignto
\bgroup \tabskip\z@ \@arstrut \@preamble \tabskip=\tabcolsep plus 1fil \cr}%
\let\@startpbox\@@startpbox \let\@endpbox\@@endpbox
  \if #1t\vtop \else \if#1b\vbox \else \vcenter \fi\fi
  \bgroup \let\par\relax
  \let\@sharp##\let\protect\relax \lineskip\z@\baselineskip\z@\@preamble}
\renewcommand{\arraystretch}{1.05}

\DeclareMathAlphabet{\ssm}{OT1}{cmss}{m}{sl}
\DeclareMathAlphabet{\euler}{U}{eur}{m}{n}
\DeclareMathAlphabet{\eulerscript}{U}{eus}{m}{n}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}

%\newcommand\@pnumwidth{1.55em}
%\newcommand\@tocrmarg{2.55em}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newenvironment{thebibliography}{%
  \section*{\refname}
  \footnotesize
  \sloppy\clubpenalty6000\widowpenalty6000%
  \renewcommand\labelenumi{\theenumi}
  \begin{enumerate}
  \settowidth\labelwidth{99}
  \setlength\itemsep{-1.2pt}
  \setlength\labelsep{2pc}
  \advance\labelsep - \labelwidth
} {\end{enumerate}}
\newenvironment{thedemobibliography}{%
  \footnotesize
  \sloppy\clubpenalty6000\widowpenalty6000%
  \renewcommand\labelenumi{\theenumi}
  \begin{enumerate}
  \settowidth\labelwidth{99}
  \setlength\itemsep{-1.2pt}
  \setlength\labelsep{2pc}
  \advance\labelsep - \labelwidth
} {\end{enumerate}}

\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\renewcommand\footnoterule{}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\newcommand\contentsname{Contents}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\appendixname{Appendix}
\setlength\columnsep{10\p@} \setlength\columnseprule{0\p@}
 \ps@headings
 \pagenumbering{arabic}
 \frenchspacing
 \clubpenalty=4000
 \widowpenalty=10000
\def\TandT{T\kern-.15em\lower.5ex\hbox{\&}\kern-.1667em T~Productions~Ltd}
\newtheorem{theorem}{Theorem}[section]
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{corollary}[theorem]{Corollary}
\newtheorem{proposition}[theorem]{Proposition}
\newcommand{\rd}{\mathrm{d}}            % Roman d for differential
\newcommand{\re}{\mathrm{e}}            % Roman e for exponential
\newcommand{\ri}{\mathrm{i}}            % Roman i for imaginary number
\DeclareMathOperator{\sgn}{sgn}           % Sign
\DeclareMathOperator{\Real}{Re}  % Real part
\DeclareMathOperator{\Imag}{Im}  % Imaginary part
\newcommand{\const}{\mathrm{const.}}    % Abbreviation for `constant'
\newcommand{\3}{\kern2.5pt}
\endinput
%%
%% End of file `rsepublic.cls'.
